# import solidLib as sl
import solidLib.primitives as slp
import solidLib.assortment as sla
import solid as s


s.scad_render_to_file(slp.pill([[0,0,0],[1, 1, 1]], .25), "./docs/files/pill.scad")
s.scad_render_to_file(slp.rcube([1, 1, 1], .25), "./docs/files/rcube.scad")
s.scad_render_to_file(slp.rfcube([1, 1, 1], .25), "./docs/files/rfcube.scad")

s.scad_render_to_file(sla.bin(1, 1), "./docs/files/bin.scad")
s.scad_render_to_file(sla.grid(2,3), "docs/files/grid.scad")
s.scad_render_to_file(sla.grid_inv(2,3), "docs/files/grid_inv.scad")

s.scad_render_to_file(sla.toolinlay1(15), "docs/files/toolinlay1.scad")
s.scad_render_to_file(sla.toolinlay2(15), "docs/files/toolinlay2.scad")
